docker run -d \
  --name tshock \
  --memory=4g \
  --cpus=6 \
  -p 7777:7777 -p 7878:7878 \
  -v /shumengya/docker/storage/tshock/worlds:/root/.local/share/Terraria/Worlds \
  -v /shumengya/docker/storage/tshock/ServerPlugins:/tshock/ServerPlugins \
  -v /shumengya/docker/storage/tshock/tshock:/tshock/tshock \
  -e WORLD_FILENAME=helloworld2025.wld \
  ryshe/terraria \
  -autocreate 2 \
  -worldname "helloworld2025"



http://192.168.1.233:7878/v3/server/rawcmd?token=tyh@19900420&cmd=

docker cp tshock:/tshock /shumengya/docker/storage/tshock/tshock
